﻿@model PROJETMODELE.Models.VML.TP.Regulation_SoldeVM
@{
    Layout = null;
}
<script src="~/Scripts/AjouterJS.js"></script>
<input id="OpenconsulterUrl" value="/Regulation_Solde/Consulter/" type="hidden" />
<div id="formulaire" style="width:430px; height:230px">
    <div>Ajout</div>
  <div class="forms">
            @using (Html.BeginForm()) {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)
            @Html.HiddenFor(model=>model.Type_Element)
            <table>
               
                 
                <tr> 
                     <td> 
                          @if (Model.Type_Element == 0)
                         {
                             @Html.Label("Fournisseur * :")
                         }
                         else if (Model.Type_Element == 1)
                         {
                             @Html.Label("Client * :")
                         }
                         else
                         {
                             @Html.Label("Caisse * :")
                         }                            
                     </td>
                     <td> @HTML_OUF.DropDownList("ID_Element",TempData["ID_Element"] as SelectList, "280")</td>
                </tr> 
                
                <tr>
                    <td> @Html.LabelFor(model => model.Montant)</td>
                     <td>  @Html.TextBoxFor(model => model.Montant, new { autocomplete = "off" })</td>
                </tr>
                
                 
                <tr>
                    <td style="vertical-align:top"> @Html.LabelFor(model => model.Motif)</td>
                     <td>  @Html.TextAreaFor(model => model.Motif)</td>
                </tr>           
             </table>
               <br/>
           <p >
             <button title="Valider"  type="submit" id="jqxButton" class="btn btn-default oufbutton send"><i class="ouf-ok"></i>Valider</button>
            <button title="Annuler"  type="button" id="jqxAnnuler" class="btn btn-default oufbutton fannul"><i class="ouf-cancel"></i>Annuler</button>
        </p>
            }
</div>
</div> 
<script>
    $('#formulaire').jqxValidator({
        rules: [
            
           {
               input: '#C_ID_Element', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: function (input) {
                   if ($("#ID_Element").val() == null) {
                       return false;
                   }
                   return true;
               }
           },
            { input: '#Montant', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            {
                input: '#Montant', message: 'Ce champs est un avec signe + ou - nombre (ex  +12 ou -12)!', action: 'keyup, blur', rule: function (input) {
                    var zippattern = /^[-+]\d{1,}/;
                    return (zippattern.test(input.val()) == true);
                }
            },
           { input: '#Motif', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            { input: '#Motif', message: 'Le motif doit contenir au plus 500 caractères!', action: 'keyup, blur', rule: 'length=1,500' },
           
        ],
    });
    $("#Montant").jqxInput({ placeHolder: "Montant ... ", height: 25, width: 280, theme: "ui-redmond" });
    
    $("#Motif").jqxInput({ placeHolder: "Motif ... ", height: 50, width: 280, theme: "ui-redmond" });

    
  </script>